Subject: Re: [PATCH] ppc32: fix ppc440 pagetable attributes

From: Matt Porter <[email-masked]>
Date: Fri, 5 Aug 2005 16:07:35 -0700

On Fri, Aug 05, 2005 at 03:54:42PM -0700, Andrew Morton wrote:
> Matt Porter <[email-masked]> wrote:
> >
> > This patch fixes a bug in the PPC440 pagetable attributes that breaks  
> >  swap support.  It also adds some notes on the PPC440 attribute fields.
> 
> hm, that looks pretty serious, but it affects all ppc's, yes?

Just PPC440. I originally organized the attributes incorrectly.
 
> Is this needed for 2.6.13?   Are you super-sure it's safe?

This should go into 2.6.13.  I doublechecked it by inspection and
ran numerous tests. It's only existed this long (years) due to the
fact that few people run a disk-based PPC440 system. I would have
sent it up sooner except I wanted to be very sure of my testing
since I don't always trust my own inspection. :)

-Matt